<template>
  <v-container
    id="typography-view"
    fluid
    tag="section"
  >
    <!-- <view-intro
      heading="Typography"
      link="styles/typography"
    /> -->

    <v-row
      align="center"
      justify="center"
    >
      <v-col cols="12">
        <material-card
          color="success"
          full-header
        >
          <v-row align="center">
            <v-col cols="3">
              <v-text-field
                v-model="messageTitle"
                label="title"
              />
            </v-col>
            <v-col
              cols="3"
              offset="3"
            >
              <v-text-field
                v-model="messageReceiver"
                label="Receiver"
              />
            </v-col>
          </v-row>

          <v-textarea
            v-model="messageText"
            label="content"
          />
        </material-card>
      </v-col>
    </v-row>
    <v-row justify="end">
      <AppBtn
        color="secondary"
        @click="sendMessage"
      >
        send message
      </AppBtn>
    </v-row>
    <v-row>
      <v-alert
        v-show="showError"
        dense
        outlined
        type="error"
      >
        empty or incorrect {{ messageerror }}!
      </v-alert>
    </v-row>
  </v-container>
</template>

<script>
  import { getSendMessage } from '@/request/api.js'
  export default {
    name: 'FinancialSendMessageView',

    data: () => ({
      typography: {

      },
      messageerror: '',
      messageSender: '21312',
      messageReceiver: '',
      messageTitle: '',
      messageText: '',

      showError: 0,
    }),

    mounted: function () {
      this.messageSender = localStorage.getItem('UserName')
    },
    methods: {
      sendMessage: function () {
        const params = {
          messageSender: this.messageSender,
          messageReceiver: this.messageReceiver,
          messageTitle: this.messageTitle,
          messageText: this.messageText,
        }
        console.log(params)
        if (params.messageTitle === '') {
          this.messageerror = 'Title'
          this.showError = 1
          setTimeout(() => {
            this.showError = 0
          }, 2000)
          return
        }

        if (params.messageText === '') {
          this.messageerror = 'Text'
          this.showError = 1
          setTimeout(() => {
            this.showError = 0
          }, 2000)
          return
        }

        if (params.messageReceiver === '') {
          this.messageerror = 'Receiver'
          this.showError = 1
          setTimeout(() => {
            this.showError = 0
          }, 2000)
          return
        }

        getSendMessage(params).then(
          resolve => {
            console.log(resolve)
            if (resolve.status === '404') {
              this.messageerror = 'Receiver'
              this.showError = 1
              setTimeout(() => {
                this.showError = 0
              }, 2000)
            }
          },
        ).catch(error => {
          console.log(error)
        })
        // 发送数据并且拿到回执结果。
        // 然后两秒钟下之后跳转回去
      },
    },
  }
</script>
